# This is your system's configuration file.
# Use this to configure your system environment (it replaces /etc/nixos/configuration.nix)
{
  inputs,
  lib,
  config,
  pkgs,
  ...
}: {
  # --- Display & window managers ---
  services.displayManager.sddm.enable = true;
  services.displayManager.sddm.wayland.enable = true;
  services.desktopManager.plasma6.enable = true;
  programs.niri.enable = true;
  programs.skwd-wall.enable = true;
  programs.gamescope.enable = true;

  services.gnome.gnome-keyring.enable = true;
  security.pam.services.Winter.enableGnomeKeyring = true;
  programs.seahorse.enable = true;

  environment.systemPackages = with pkgs; [
    # -- Niri extras --
    xwayland-satellite
    fuzzel
    waybar
    brightnessctl
    playerctl
    mako
    swaylock
    inputs.awww.packages.${pkgs.stdenv.hostPlatform.system}.awww
    # --- KDE extras ---
    kdePackages.karousel
  ];
}
